using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TheLandBeforeDataBinding
{
    public partial class SimpleDataBindingAndItemDataSources : Form
    {

        RaceCarDriverNotify driver = new RaceCarDriverNotify("M Schumacher", 500);

        public SimpleDataBindingAndItemDataSources()
        {
            InitializeComponent();

            Binding nameBinding =
                new Binding("Text", this.driver, "Name", true);
            this.textBoxName.DataBindings.Add(nameBinding);

            Binding winsBinding =
                            new Binding("Text", this.driver, "Wins", true);
            this.textBoxWins.DataBindings.Add(winsBinding);

        }

        private void buttonAddWin_Click(object sender, EventArgs e)
        {
            driver.Wins++;
        }

        private void buttonShowData_Click(object sender, EventArgs e)
        {
            MessageBox.Show(driver.ToString());
        }
    }
}